#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 jose
version:              0.8.3
visibility:           public
id:                   jose-0.8.3-610Oq13oKMT62YK89Bzb0f
key:                  jose-0.8.3-610Oq13oKMT62YK89Bzb0f
license:              Apache-2.0
copyright:            Copyright (C) 2013-2018  Fraser Tweedale
maintainer:           frase@frase.id.au
author:               Fraser Tweedale
homepage:             https://github.com/frasertweedale/hs-jose
synopsis:
    Javascript Object Signing and Encryption and JSON Web Token library

description:

    An implementation of the Javascript Object Signing and Encryption
    (JOSE) and JSON Web Token (JWT; RFC 7519) formats.

    The JSON Web Signature (JWS; RFC 7515) implementation is complete.

    EdDSA signatures (RFC 8037) are supported (Ed25519 only).

    JWK Thumbprint (RFC 7638) is supported (requires /aeson/ >= 0.10).

    JSON Web Encryption (JWE; RFC 7516) is not yet implemented.

    The __ECDSA implementation is vulnerable to timing attacks__ and
    should only be used for verification.

category:             Cryptography
abi:                  47e28b49126831e16fe7ab9c334fd72b
exposed:              True
exposed-modules:
    Crypto.JOSE Crypto.JOSE.AESKW Crypto.JOSE.Compact Crypto.JOSE.Error
    Crypto.JOSE.Header Crypto.JOSE.JWA.JWE Crypto.JOSE.JWA.JWE.Alg
    Crypto.JOSE.JWA.JWK Crypto.JOSE.JWA.JWS Crypto.JOSE.JWE
    Crypto.JOSE.JWK Crypto.JOSE.JWK.Store Crypto.JOSE.JWS
    Crypto.JOSE.Types Crypto.JWT

hidden-modules:
    Crypto.JOSE.TH Crypto.JOSE.Types.Internal Crypto.JOSE.Types.Orphans

import-dirs:          /usr/lib/ghc-8.10.1/site-local/jose-0.8.3
library-dirs:         /usr/lib/ghc-8.10.1/site-local/jose-0.8.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.1/jose-0.8.3
hs-libraries:         HSjose-0.8.3-610Oq13oKMT62YK89Bzb0f
depends:
    QuickCheck-2.14.1-LOwLcMvuV7vGwZlhSRTd6I
    aeson-1.5.2.0-F0tU7bDTaRJBvJyIeiEz2S
    attoparsec-0.13.2.4-KUZn5JNJi8P11hhS9NNN1b base-4.14.0.0
    base64-bytestring-1.1.0.0-AnumLMhQZtaDYVi34i9UEb
    bytestring-0.10.10.0 concise-0.1.0.1-3e3jRcFV29IAXWK1CbAVji
    containers-0.6.2.1 cryptonite-0.27-KrgyisRA3hE36npKAVbN1W
    lens-4.19.2-D1xIDwHm7wE8fOWIC9kft5
    memory-0.15.0-EuehB4FMe9b5ts9dSjTFQ5
    monad-time-0.3.1.0-84MCUAc3IH8GGiNW9Jclvr mtl-2.2.2
    network-uri-2.6.3.0-HjDVOgY5gfJCICYZdVspKN
    quickcheck-instances-0.3.23-FZFYHQIntXJ6yp1IIK6yYS
    safe-0.3.19-CK0lfIX5mWD7fu30IXX07t template-haskell-2.16.0.0
    text-1.2.3.2 time-1.9.3
    unordered-containers-0.2.11.0-9heg0ZMZ4fiE5I8jXNtXdI
    vector-0.12.1.2-CYdo0xBKGbnK8ZGEF4yFOM
    x509-1.7.5-Gr4Toetm9yP7fHNPlcVQy3

haddock-interfaces:   /usr/share/doc/haskell-jose/html/jose.haddock
haddock-html:         /usr/share/doc/haskell-jose/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

